// -*- coding: utf-8 -*-
// Title: EarthStructure.sc
// Author: JackDole 
// Date: 2016.02.06 19:54:32

Planet	"Earth II"
{
	ParentBody     "Sol"
	Class          "Terra"

	Mass            1.0
	Radius          6378.14
	Oblateness      0.00335

	Age	            4.54

	RotationPeriod  23.9344694
	Precession      25592
	Obliquity       23.4392911
	EqAscendNode    180.0
	RotationOffset -79.5
	
	Color         ( 0.850 0.850 1.000 )
	Albedo          0.306
	AlbedoBond      0.306
	AlbedoGeom      0.367
	Brightness      1.4

	Life
	{
		Class   "Organic"
		Type    "Multicellular"
		Biome   "Marine/Terrestrial"
	}
	
	Surface
	{
		DiffMap        "EarthInt/00_Base.*"
		BumpMap        "EarthInt/00_BaseBump.*"
		BumpHeight      19.475
		BumpOffset      10.896

		GlowMap        "EarthInt/Night.*"
		GlowMode       "Night"
		GlowColor      (1.00 0.90 0.66)
		GlowBright      1.0

		DiffMapAlpha	"Transp"
	}
	
	Clouds
	{
		DiffMap        "EarthInt/01_Crust.*"
		Height          -1.0
		
		GlowMap        "EarthInt/06_Core.*"
		GlowMode       "Permanent"
		GlowColor      (1.00 1.00 1.00)
		GlowBright      0.125

		Velocity        0.0
		DiffMapAlpha	"Transp"
	}

	Clouds
	{
		DiffMap        "EarthInt/02_RigidMantle.*"
		Height          -35
		
		GlowMap         "EarthInt/02_RigidMantle.*"  
		GlowMode       "Permanent"
		GlowColor      (1.00 1.00 1.00)
		GlowBright      0.125

		Velocity        0.0
		DiffMapAlpha	"Transp"
	}

	Clouds
	{
		DiffMap        "EarthInt/03_Asthenosphere.*"
		Height          -410
		
		GlowMap         "EarthInt/03_Asthenosphere.*"  
		GlowMode       "Permanent"
		GlowColor      (1.00 1.00 1.00)
		GlowBright      0.125

		Velocity        0.0
		DiffMapAlpha	"Transp"
	}

	Clouds
	{
		DiffMap        "EarthInt/04_StifferMantle.*"
		Height          -660
		
		GlowMap         "EarthInt/04_StifferMantle.*"  
		GlowMode       "Permanent"
		GlowColor      (1.00 1.00 1.00)
		GlowBright      0.125

		Velocity        0.0
		DiffMapAlpha    "Transp"
	}

	Clouds
	{
		DiffMap        "EarthInt/05_OuterCore.*"
		Height          -2900
		
		GlowMap         "EarthInt/05_OuterCore.*"  
		GlowMode       "Permanent"
		GlowColor      (1.00 1.00 1.00)
		GlowBright      0.125

		Velocity        0.0
		DiffMapAlpha    "Transp"
	}

	Clouds
	{
		DiffMap        "EarthInt/06_Core.*"
		Height          -5100
		
		GlowMap        "EarthInt/06_Core.*"
		GlowMode       "Thermal"
		GlowColor      (1.00 1.00 1.00)
		GlowBright      0.0001

		Velocity        0.0
		DiffMapAlpha    "Transp"
	}

	/**/
	Clouds
	{
		// Clouds map author: Vladimir Romanyuk "SpaceEngineer"
		DiffMap        "Earth/Clouds-SE"
		DiffTileSize    258
		DiffTileBorder  1
		BumpMap        "Earth/Clouds-SE"
		BumpTileSize    258
		BumpTileBorder  1
		BumpHeight      2.5
		BumpOffset      0.0
		DayAmbient      3.0
		Hapke           0.2
		Height          9.0
		Velocity        0.0
		DiffMapAlpha	"Transp"
	}
	/**/
	
	Atmosphere
	{
		Height      60
		Greenhouse  33
		Pressure    1.0
		Density     1.2929
		MolarMass   28.9644
		Adiabat     0.28
		Model      "Earth"
		Bright      10.0
		Opacity     0.0
		SkyLight    3.0
		EclipseBright  250.0
		EclipseColor ( 1.000 0.600 0.200 )
	}

	Aurora
	{
		Height       100
		TopColor    (0.5 0.5 0.5)
		BottomColor (0.0 1.0 0.0)
		NorthLat     82
		NorthLon    -113
		NorthRadius  2500
		NorthWidth   600
		NorthRings   3
		NorthBright  0.3

		SouthLat    -63
		SouthLon     138
		SouthRadius  2000
		SouthWidth   600
		SouthRings   3
		SouthBright  0.3
	}

	Orbit
	{
		RefPlane      "Ecliptic"
		Period         1.0
		SemiMajorAxis  1.0000010178
		Eccentricity   0.0167086342
		Inclination    0.0
		AscendingNode  348.739
		LongOfPericen  102.93734808
		MeanLongitude  280.46645683
	}
}

